Konuyu Oyla:
  • Derecelendirme: 0/5 - 0 oy
  • 1
  • 2
  • 3
  • 4
  • 5
IOS için Remote Server Sorgusuz UE4 Versiyonu
#1
Merhaba. 
   Öncelikle bu yazı kendi tecrübelerime dayanarak oluşturulmuştur. 
Forumun IOS kategorisinde az konu olduğu için edindiğim bilgileri paylaşmak istedim.
Daha tecrübeli olanların; hatalı bilgi içeren yazım varsa düzeltmesini, güncel bilgilerle konuyu daha faydalı hale getirmesini rica ediyorum.
   
   IOS platformu için oyun geliştirirken ilk önce windows 10 üzerinde UE4.14 sürümünü denedim.
UE4.14 te oyun içi internet bağlantısı için Varest eklentisini kurdum.
Itunes 12.4.1.6 programını kurdum.
Provision ve Certificate ayarlarını tanımladıktan sonra VMware ile sanal işletim sistemi OSX10.12 kurdum.
Sanal işletim sistemi içerisinde Xcode 8.2 kurdum. 
Sanal işletim sistemi adres bilgisini, UE4 build ayarlarındaki Remote Server Name bilgisine yazdım.

   Normal şartlarda tüm bağlantıları doğru yapanlar bu aşamadan sonra oyunu IOS için paketleyebilir.
Ancak Remote server bağlantısını bir türlü kuramadığım için, remote server sorgusuna ihtiyaç duymadan işlem yapan UE4 sürümü araştırdım.
İlham veren bağlantı: (https://forums.unrealengine.com/showthre...uide-(4-8))
UE4.9 Remote server bağlantısını şart koşmuyor. UE4.9 ile Remote Server bağlantısı kurmadan oyunu IOS için paketledim, test cihazında çalıştırdım.
   
   UE4, IOS için paketleme öncesi mutlaka windows üzerinde Itunes kurulmasını şart koşuyor.
UE4.5 sürümünde de IOS için oyun hazırlayabilirsiniz ancak güncel Itunes programınızı UE4 tanımayacaktır.
Aynı sorun şu an için UE4.8 ve UE4.9 sürümünde bulunmamaktadır.


   Güncel sürüm kullanmadığınız için ileride sorun yaşabilirsiniz.
Bu yöntem sadece benim gibi sanal makina ile Remote server bağlantısını kuramayanlar için geçici çözüm olacaktır. 

   Remote server bağlantısını kurabilen ancak Xcode hatası alanlar için not: 
   UE4 Resmi forumda aldığım yanıta göre UE4.15 sürümü Xcode 8.3 ile uyumsuz.
Yanıt adresi: (https://forums.unrealengine.com/showthre...nect-error)
Xcode 8.2 sürümünü kullanmam veya UE4.16 sürümünü beklemem söylendi.
Ancak Xcode 8.2 içinde yer alan "armv7" paketleme esnasında UE4 tarafından bulunamıyor. 
Özetle Xcode UE4.16 bekleyin veya (geçici olarak) daha eski sürümleri tercih edin.
"İyi tecrübeler, kötü sonuçlarla öğrenilir. Kötü sonuçlar iyi tecrübeleri doğurur." – The Mechanic 
Cevapla
 


Konu ile Alakalı Benzer Konular
Konular Yazar Yorumlar Okunma Son Yorum
  ios remote build options ssh connect hatası seckin 2 276 25-04-2017, Saat: 05:15
Son Yorum: seckin

Hızlı Menü:


Unreal Engine Türkiye

This forum is only for fans and support. It has nothing to do with Epic Games.

Bu site sadece fan ve destek amaçlıdır. Epic Games ile bir ilgisi yoktur.